using System;
using UnityEngine;
using UnityEngine.UI;

public class UIButtonElement : MonoBehaviour
{
	public Button[] buttonFaces
	{
		get
		{
			return this.m_ButtonFaces;
		}
	}

	public int faceIndex
	{
		get
		{
			return this.m_FaceIndex;
		}
		set
		{
			if (this.m_FaceIndex != value)
			{
				value = ((value >= 0) ? value : 0);
				value = ((this.m_ButtonFaces.Length > value) ? value : (this.m_ButtonFaces.Length - 1));
				this.m_FaceIndex = value;
			}
		}
	}

	public Text textContentNumber
	{
		get
		{
			return this.m_TextContentNumber;
		}
	}

	public Text textContentName
	{
		get
		{
			return this.m_TextContentName;
		}
	}

	public Text textContentTime
	{
		get
		{
			return this.m_TextContentTime;
		}
	}

	public Image imageThumbnail
	{
		get
		{
			return this.m_ImageThumbnail;
		}
	}

	public Button buttonStart
	{
		get
		{
			return this.m_ButtonStart;
		}
	}

	public void ButtonEvent_ChangeFaceType(int index)
	{
		this.faceIndex = index;
		ColorBlock colors = this.m_ButtonFaces[this.faceIndex].colors;
		colors.normalColor = Color.white;
		this.m_ButtonFaces[this.faceIndex].colors = colors;
		for (int i = 0; i < this.m_ButtonFaces.Length; i++)
		{
			if (i != this.faceIndex)
			{
				colors = this.m_ButtonFaces[i].colors;
				colors.normalColor = new Color(0.66f, 0.66f, 0.66f, 1f);
				this.m_ButtonFaces[i].colors = colors;
			}
		}
	}

	[SerializeField]
	private Button[] m_ButtonFaces;

	[SerializeField]
	private int m_FaceIndex;

	[SerializeField]
	private Text m_TextContentNumber;

	[SerializeField]
	private Text m_TextContentName;

	[SerializeField]
	private Text m_TextContentTime;

	[SerializeField]
	private Image m_ImageThumbnail;

	[SerializeField]
	private Button m_ButtonStart;
}
